package jp.sourceforge.cfneo.at4ie2.api.test.impl.invoker;

import jp.sourceforge.cfneo.at4ie2.TestSupport;
import jp.sourceforge.cfneo.at4ie2.api.browser.Browser;
import jp.sourceforge.cfneo.at4ie2.api.test.Context;
import jp.sourceforge.cfneo.at4ie2.api.test.InvokerFactory;
import jp.sourceforge.cfneo.at4ie2.api.test.impl.DefaultContext;

import org.junit.After;
import org.junit.Before;

public class AbstractInvokerTestCase {

	protected Context context;
	protected Browser browser;
	protected InvokerFactory invokerFactory;

	@Before
	public void before() {
		this.context = DefaultContext.getInstance();
		this.browser = this.context.getBrowser();
		this.invokerFactory = this.context.getInvokerFactory();
		this.bootBrowser();
	}

	protected void bootBrowser() {
		this.browser.open(TestSupport.TARGET_PATH + TestSupport.TARGET_FILE);
	}

	@After
	public void after() {
		this.browser.close();
	}

}
